<?php

if ( ! defined( 'ABSPATH' ) ) exit;

// ADD METABOXES
add_action( 'add_meta_boxes', 'elite_affiliates_add_metabox' );
function elite_affiliates_add_metabox(){
    
    $elites_affiliates_types = array('elites_type', 'affiliates_type');
    // ADD ELITES & AFFILIATES BLOCK
    add_meta_box(
        'elite_affiliates add_new_list_block', // $id
        'Add A New Elites & Affiliates', // $title
        'elite_affiliates_metabox_blocks', // $callback
        $elites_affiliates_types, // $screen
        'normal', //$context
        'high', // $priority
        '' // $callback_args
    );
    
    // REMOVE THUMBNAIL BLOCK
	remove_meta_box('postimagediv', 'home-page-banners', 'side');
	remove_meta_box('postimagediv', $elites_affiliates_types, 'side');
	
	// ADD THUMBNAIL BLOCK
	add_meta_box(
	    'postimagediv',
	    'Add Elites & Affiliates Image',
	    'post_thumbnail_meta_box',
	    $elites_affiliates_types,
	    'normal',
	    'high'
    );
	
	// ADD THUMBNAIL UPLOAD  BLOCK
	add_meta_box(
	    'postimagediv',
	    'Add Elites & Affiliates Image',
	    'post_thumbnail_meta_box',
	    'home-page-banners',
	    'normal',
	    'high'
    );
}



// METABOXES
function elite_affiliates_metabox_blocks($post){
    // SITE LINK
    $elite_affiliates_class1 = esc_html( get_post_meta( $post->ID, 'elite_affiliates_class1', true ) );
    ?>   
    
    <div class="elite_affiliates add_new">
        <div class="elite_affiliates add_new_inside">
            <div class="elite_affiliates add_new_row">
                <div class="elite_affiliates add_new_cell">
                    <label for="elite-affiliates-class1">Site Link:</label>
                    <span style="color:  red;font-weight:  bold;">*</span>
                </div>
            
                <div class="elite_affiliates add_new_cell">
                    <input type="text" name="elite-affiliates-class1" id="elite-affiliates-class1" required value="<?php echo $elite_affiliates_class1; ?>" />
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <span style="color:  red;font-weight:  bold;">*</span> <span>This field is required</span>
                </div>
            
                <div class="current_project add_new_cell">
                    
                </div>
            </div>
            
        </div>
    </div>
    
    <?php
}



// SAVE FIELDS IN METABOXES
add_action('save_post', 'elite_affiliates_metabox_save');
function elite_affiliates_metabox_save($post){ 
    global $post;
    
    if ( $post->post_type == 'elites_type' || $post->post_type == 'affiliates_type' ) {
    
		if( isset( $_POST['elite-affiliates-class1'] ) ) {
		    $elite_affiliates_class1 = $_POST['elite-affiliates-class1'];
            update_post_meta( $post->ID, 'elite_affiliates_class1', $elite_affiliates_class1 );
        }
    }
}


?>