<?php
/*
Plugin Name: Elites & Affiliates by Estrella Design
Plugin URI: https://estrelladesign.tk/
Description: This plugin lets you add elite and affiliates of your site
Author URI: https://estrelladesign.tk/
Author: Estrella Design
Version: 1.1
Tags: wordpress, coppermine, sites, widget, sidebar
Tested up to: 5.2.3
Text Domain: elite-affiliates
License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! defined( 'ELITEAFFILIATES_VERSION' ) ) {
	define( 'ELITEAFFILIATES_VERSION', '1.0' );
}
if ( ! defined( 'ELITEAFFILIATES_PLUGIN_DIR' ) ) {
	define( 'ELITEAFFILIATES_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'ELITEAFFILIATES_PLUGIN_URL' ) ) {
	define( 'ELITEAFFILIATES_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'ELITEAFFILIATES_PLUGIN_FILE' ) ) {
	define( 'ELITEAFFILIATES_PLUGIN_FILE', __FILE__ );
}

// FILES
require_once ELITEAFFILIATES_PLUGIN_DIR . 'elite-affiliates-custom-type.php';
require_once ELITEAFFILIATES_PLUGIN_DIR . 'elite-affiliates-add-new-post.php';
require_once ELITEAFFILIATES_PLUGIN_DIR . 'elite-affiliates-widget.php';


// CSS: ADMIN
wp_register_style( 'elite-affiliates-admin', ELITEAFFILIATES_PLUGIN_URL . 'css/admin_style.css', '', null, $media  );
wp_enqueue_style( 'elite-affiliates-admin' );


// CSS: CONTENT
wp_register_style( 'elite-affiliates-content', ELITEAFFILIATES_PLUGIN_URL . 'css/content_style.css', '', null, $media  );
wp_enqueue_style( 'elite-affiliates-content' );


// THUMBNAIL
add_image_size( 'ed_elite_affiliate', 100, 100, true );