<?php

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) exit;

function elites_affiliates_delete_datas() {
    
    $elites_affiliates_types = array('elites_type','affiliates_type',);
        
    $elites_affiliates_items = 
        get_posts(array(
		        'post_type'   => $elites_affiliates_types,
		        'fields'      => 'ids',
		        'numberposts' => -1,
		        'post_status' => 'any',
	            ) 
	   ); 
    
    
    if ( $elites_affiliates_items ) {
		foreach ( $elites_affiliates_items as $elites_affiliates_item ) {
		    wp_delete_post( $elites_affiliates_item, true );
		}
	}
	
	$elites_affiliates_metas = array('elites_affiliates_class1',);
        
    $elites_affiliates_metas1	= array(
		'post_type'           => $elites_affiliates_types,
		'fields'              => 'ids',
		'posts_per_page'      => -1,
		'no_found_rows'       => true,
	);
	
	$elites_affiliates_meta_query = new WP_Query( $elites_affiliates_metas1 );  
	
	
	if ( ! empty( $elites_affiliates_meta_query->posts ) ) {
		foreach ( $elites_affiliates_meta_query->posts as $post_id ) {
			foreach ( $elites_affiliates_metas as $elites_affiliates_meta ) {
				delete_post_meta( $post_id, $elites_affiliates_meta );
			}
		}
	}
	
	
	delete_option( 'widget_elites_affiliates_widget' );
	remove_image_size('elite_affiliates_thumb');
}

elites_affiliates_delete_datas();